Unverified Commit 818089ba authored by Emily's avatar Emily Committed by GitHub
Browse files

teams: create the Xen Project Team and rename instances of `Xen` to `Xen Project`. (#344314)

parents 813868bc dc7db9bc
Loading
Loading
Loading
Loading
+12 −0
Original line number Diff line number Diff line
@@ -8363,6 +8363,12 @@
    githubId = 287769;
    name = "Sergii Paryzhskyi";
  };
  hehongbo = {
    name = "Hongbo";
    github = "hehongbo";
    githubId = 665472;
    matrix = "@hehongbo:matrix.org";
  };
  heijligen = {
    email = "src@posteo.de";
    github = "heijligen";
@@ -17485,6 +17491,12 @@
    githubId = 5653911;
    name = "Rampoina";
  };
  rane = {
    email = "rane+nix@junkyard.systems";
    github = "digitalrane";
    githubId = 1829286;
    name = "Rane";
  };
  ranfdev = {
    email = "ranfdev@gmail.com";
    name = "Lorenzo Miglietta";
+13 −0
Original line number Diff line number Diff line
@@ -1022,6 +1022,19 @@ with lib.maintainers;
    shortName = "WDZ GmbH";
  };

  xen = {
    members = [
      hehongbo
      lach
      rane
      sigmasquadron
    ];
    scope = "Maintain the Xen Project Hypervisor and the related tooling ecosystem.";
    shortName = "Xen Project Hypervisor";
    enableFeatureFreezePing = true;
    githubTeams = [ "xen-project" ];
  };

  xfce = {
    members = [
      bobby285271
+3 −3
Original line number Diff line number Diff line
@@ -49,13 +49,13 @@
- Support for mounting filesystems from block devices protected with [dm-verity](https://docs.kernel.org/admin-guide/device-mapper/verity.html)
  was added through the `boot.initrd.systemd.dmVerity` option.

- The [Xen Hypervisor](https://xenproject.org) is once again available as a virtualisation option under [`virtualisation.xen`](#opt-virtualisation.xen.enable).
- The [Xen Project Hypervisor](https://xenproject.org) is once again available as a virtualisation option under [`virtualisation.xen`](#opt-virtualisation.xen.enable).
  - This release includes Xen [4.17.5](https://wiki.xenproject.org/wiki/Xen_Project_4.17_Release_Notes), [4.18.3](https://wiki.xenproject.org/wiki/Xen_Project_4.18_Release_Notes) and [4.19.0](https://wiki.xenproject.org/wiki/Xen_Project_4.19_Release_Notes), as well as support for booting the hypervisor on EFI systems.
  ::: {.warning}
    Booting into Xen through a legacy BIOS bootloader or with the legacy script-based Stage 1 initrd have been **deprecated**. Only EFI booting and the new systemd-based Stage 1 initrd are supported.
    Booting into the Xen Project Hypervisor through a legacy BIOS bootloader or with the legacy script-based Stage 1 initrd have been **deprecated**. Only EFI booting and the new systemd-based Stage 1 initrd are supported.
  :::
  - There are two flavours of Xen available by default: `xen`, which includes all built-in components, and `xen-slim`, which replaces the built-in components with their Nixpkgs equivalents.
    - The `qemu-xen-traditional` component has been deprecated by upstream Xen, and is no longer available in any of the Xen packages.
    - The `qemu-xen-traditional` component has been deprecated by the upstream Xen Project, and is no longer available in any of the Xen Project Hypervisor packages.
  - The OCaml-based Xen Store can now be configured using  [`virtualisation.xen.store.settings`](#opt-virtualisation.xen.store.settings).
  - The `virtualisation.xen.bridge` options have been deprecated in this release cycle. Users who need network bridges are encouraged to set up their own networking configurations.

+1 −1
Original line number Diff line number Diff line
@@ -4,7 +4,7 @@ let
in {
  options = {
    services.xe-guest-utilities = {
      enable = lib.mkEnableOption "the Xen guest utilities daemon";
      enable = lib.mkEnableOption "the XenServer guest utilities daemon";
    };
  };
  config = lib.mkIf cfg.enable {
+2 −2
Original line number Diff line number Diff line
@@ -5,7 +5,7 @@
[[ $# -ne 1 ]] && echo -e "\e[1;31merror:\e[0m xenBootBuilder must be called with exactly one verbosity argument. See the \e[1;34mvirtualisation.xen.efi.bootBuilderVerbosity\e[0m option." && exit 1
case "$1" in
    "quiet") true ;;
    "default" | "info") echo -n "Installing Xen Hypervisor boot entries..." ;;
    "default" | "info") echo -n "Installing Xen Project Hypervisor boot entries..." ;;
    "debug") echo -e "\e[1;34mxenBootBuilder:\e[0m called with the '$1' flag" ;;
    *)
        echo -e "\e[1;31merror:\e[0m xenBootBuilder was called with an invalid argument. See the \e[1;34mvirtualisation.xen.efi.bootBuilderVerbosity\e[0m option."
@@ -150,7 +150,7 @@ else
    esac
    if [ "$1" = "info" ]; then
        if [[ ${#preGenerations[@]} == "${#postGenerations[@]}" ]]; then
            echo -e "\e[1;33mNo Change:\e[0m Xen Hypervisor boot entries were refreshed, but their contents are identical."
            echo -e "\e[1;33mNo Change:\e[0m Xen Project Hypervisor boot entries were refreshed, but their contents are identical."
        else
            echo -e "\e[1;32mSuccess:\e[0m Changed the following boot entries:"
            # We briefly unset errexit and pipefail here, as GNU diff has no option to not fail when files differ.
Loading